Description

when the new ambisonics DSP externals by Jasch will be integrated into the ambisonics modules, the VBAP module  is the only
spatial renderer that doesn't have any sort of distance attenuation build in.
I'd suggest to add this feature to the VBAP module to be more compliant with other renderer.

Related issues:
Copied to Max - Feature Request # 1457: adding distance attenuation (rolloff)... Closed 2009-09-09

History
#1 - 2009-09-14 07:51 pm - Trond Lossius

Hi Nils,

I think it is much better to have a separate module doing distance attenuation, same way that we have separate modules for air filtering and doppler.

IMHO these are separate preconditioning processes carried out on the sources prior to the actual spatial encoding/decoding, and we are way better
off by sticking to a modular approach with separate modules for each process, so that we can pick and choose.

That is also more according to DRY (don't repeat yourself), as we don't have to add the same code to all the spatial encoding modules, but can keep
the code in one place only.

#2 - 2011-09-25 07:56 pm - Trond Lossius
- Target version changed from 0.6 to MVC for 0.6

#3 - 2013-03-30 03:16 pm - Trond Lossius
- Status changed from New to Rejected
